cdac.medinfo.sdk.hl7282.baselibs

## Class PT

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.PT

- All Implemented Interfaces:
    IDataType

      public class PT
      extends CompositeDataType

  PT - Processing Type

  This data type indicates whether to process a message as defined in HL7 Application (level 7) Processing rules.

  Represents an HL7 PT data type. This data type has the following attributes:

  1. Processing ID (ID)Required
  2. Processing Mode (ID)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PT()` Default Constructor for PT
    `PT(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for PT class which takes two arguments and sets the value in the respective member variable.
    `PT(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for PT class which takes five arguments and sets the value in the respective member variable.
    `PT(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for PT class which takes six arguments and sets the value in the respective member variable.
    `PT(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
    `PT(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for PT class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `ID` | `getProcessingID()` Returns Processing ID
    `ID` | `getProcessingMode()` Returns Processing Mode
    `void` | `setProcessingId(ID objID)` Sets the ProcessingId.
    `void` | `setProcessingId(java.lang.String strProcessingId)` Sets the ProcessingId.
    `void` | `setProcessingMode(ID objID)` Sets the ProcessingMode.
    `void` | `setProcessingMode(java.lang.String strProcessingMode)` Sets the ProcessingMode.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PT

          public PT()

      Default Constructor for PT

    - #### PT

          public PT(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### PT

          public PT(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iTableNo,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for PT class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### PT

          public PT(int iComponentType,
            IDataTypeMap objIDataTypeMap)

      Constructor for PT class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### PT

          public PT(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            IDataTypeMap objIDataTypeMap)

      Constructor for PT class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### PT

          public PT(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int ITableNo,
            IDataTypeMap objIDataTypeMap)

      Constructor for PT class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setProcessingId

          public void setProcessingId(java.lang.String strProcessingId)

      Sets the ProcessingId.
      Parameters:
        `strProcessingId` - Specifies a value that defines whether the message is part of a production, training, or debugging system.

    - #### setProcessingId

          public void setProcessingId(ID objID)

      Sets the ProcessingId.
      Parameters:
        `ID` - Specifies a value that defines whether the message is part of a production, training, or debugging system.

    - #### setProcessingMode

          public void setProcessingMode(java.lang.String strProcessingMode)

      Sets the ProcessingMode.
      Parameters:
        `strProcessingMode` - Specifies a value that defines whether the message is part of an archival process or an initial load.

    - #### setProcessingMode

          public void setProcessingMode(ID objID)

      Sets the ProcessingMode.
      Parameters:
        `objID` - Specifies a value that defines whether the message is part of an archival process or an initial load.

    - #### getProcessingID

          public ID getProcessingID()

      Returns Processing ID
      Returns:
        ID - data type.

    - #### getProcessingMode

          public ID getProcessingMode()

      Returns Processing Mode
      Returns:
        ID - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validation is based on the compulsory fields for the DataType.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.